Subject: cygwin surrogate-pair test now fails (since grep-2.22, and no one noticed)
From: Jim Meyering <[email-masked]>
To: Aharon Robbins <[email-masked]>, [email-masked]
Cc: Paul Eggert <[email-masked]>
Date: Sun, 2 Jul 2017 08:57:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jul 2, 2017 at 12:11 AM,  <[email-masked]> wrote:
> Jim Meyering <[email-masked]> wrote:
>
>> On Fri, Jun 30, 2017 at 12:55 AM,  <[email-masked]> wrote:
>> > Jim Meyering <[email-masked]> wrote:
>> >
>> >> > Do you still want the log? If so I'll send it...
>> >>
>> >> Yes, please, in case it's easy to fix.
>> >
>> > Attached. Thanks!
>>
>> Thanks.
>> I've determined the cause, at least. The sole caller of mbstoupper
>> (which contained the relevant __CYGWIN__-specific
>> surrogate-pair-handling code) was removed by the improvements of
>> v2.21-63-g8a33cde, and not long after, I noticed that mbstoupper was
>> no longer used, so removed it altogether.
>>
>> Since this affects surrogate-pairs only on cygwin, I'm not going to do
>> anything about this prior to release. After release, I'll make that
>> test skip or maybe even remove it altogether.
>
> OK, glad the log was helpful. In the future I will try to remember to
> send it along if I see failures.
>
> Do you want to document this cygwin issue as a known issue somewhere? :-)

Sure. I've adjusted the subject and added bug-grep@ so we get an
auto-assigned issue number in the tracker.